#include <libglademm/xml.h>
#include <gtkmm.h>
#include <iostream>

/* g++ basic.cc `pkg-config libglademm-2.0 gtkmm-2.0 --cflags --libs` */

/* gtklendar - GTK calendar, week numbers, monday starts week 
 * (c) 2004 Tero Karvinen tero.karvinen atta iki.fi http://iki.fi/karvinen
 */

void quit()
{
	std::cerr << "cannot quit, or can I?" << std::endl;
	Gtk::Main::quit();	
}

int main (int argc, char **argv)
{
	Gtk::Main kit(argc, argv);
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	try {
		refXml = Gnome::Glade::Xml::create("/home/tee/bin/gtklendar.glade"); // BUG hardcoded incompatible string
	} catch(const Gnome::Glade::XmlError& ex) {
		std::cerr << "Glade XmlError: " << ex.what() << std::endl;
		return 1;
	}
	
	Gtk::Window* pWindow = 0;
	refXml->get_widget("window1", pWindow);
	if(pWindow) {
		kit.run(*pWindow);
	}
	return 0;
}

